<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<center>
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
    <tr>
      <td height="145" colspan="4" background="images/00_02.jpg">
	    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
             <td height="145" valign="bottom" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left top; ">
	             <table width="100%" height="66"  border="0" cellpadding="0" cellspacing="0">
                     <tr>
                        <td width="61%" height="145" align="left" valign="bottom" style="padding-left: 20px; ">
			         <!-- LOGO -->
						  <table width="210" border="0" cellspacing="0" cellpadding="0">
							<tr>
							 <td align="left"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
							</tr>
							<tr>
							  <td align="left" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							</tr>
						  </table>
						<!-- END LOGO -->
					   </td>
              <td width="39%" align="right" valign="top" style="padding-right: 20px;padding-top: 20px; ">
				  <table width="200" border="0" cellspacing="0" cellpadding="0">
					<tr>
					  <td align="right" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
					   <td width="25"><img src="images/sol.gif" width="20" height="13" /></td>
					</tr>
				  </table>
			  </td>
            </tr>
          </table>
		  </td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td width="12"><img src="images/00_04.jpg" width="12" height="59" alt="" /></td>
      <td width="179"><img src="images/00_05.jpg" width="179" height="59" /></td>
      <td width="19"><img src="images/00_06.jpg" width="19" height="59" alt="" /></td>
      <td width="100%" background="images/00_08.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="59" align="center" valign="top" style="background-image: url(images/00_07.jpg);
	background-repeat: no-repeat;
	background-position: left top; padding-right: 20px; padding-left: 130px; ">
<!-- MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
            <tr>
             <xsl:call-template name="TOP-MENU"/>
            </tr>
          </table>
<!-- END MENU -->  
		  
		  </td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td height="110" colspan="3" valign="top">
	  <table width="100" border="0" cellspacing="0" cellpadding="0" background="images/cent.jpg">
        <tr>
          <td align="center" height="130" valign="top" style="background-image: url(images/top.jpg);
	background-repeat: no-repeat;
	background-position: center top;">
	<!-- SUBMENU -->
		  <table border="0" width="180" cellspacing="0" cellpadding="0">
             <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
          </table>
<!-- END SUBMENU -->
</td>
        </tr>
        <tr>
          <td><img src="images/bot.jpg" width="210" height="36" /></td>
        </tr>
      </table>
        <br/>
	    
	  </td><td valign="top"  width="100%" height="100%" style="padding: 20px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/00_18.jpg" border="0" alt=""/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	    <tr><td valign="top"  width="100%" height="100%" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	    </tr></table>
	  <!-- END CONTENT --></td>
    </tr>
    <tr>
      <td height="40" colspan="3" align="center" background="images/00_34.jpg">
	<!-- FOOTER -->
	<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
	<!-- END FOOTER --></td>
      <td align="center" background="images/00_34.jpg">
<!-- BOOTTOM MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
         <xsl:call-template name="BOTTOM-MENU"/>
        </tr>
      </table>
<!-- END BOOTTOM MENU -->
	  </td>
    </tr>
  </table>
</center>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
 <tr>
              <td width="10" height="25" align="center"><img src="images/00_22.gif" width="10" height="8" alt="" /></td>
              <td width="87" align="left" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
	</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
 <tr>
              <td width="10" height="25" align="center"><img src="images/00_22.gif" width="10" height="8" alt="" /></td>
              <td width="87" align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		     <tr>
              <td height="10" colspan="2"><img src="images/00_27.jpg" width="173" height="1" alt="" /></td>
              </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			 <td width="15" align="center"><img src="images/00_37.jpg" width="1" height="20" alt="" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
